Subject: Re: bug#64445: 30.0.50; Android: Emacs cannot access /storage/emulated/0 although other apps can

From: Po Lu <[email-masked]>
Date: Tue, 04 Jul 2023 08:49:31 +0800

Milan Zamazal <[email-masked]> writes:

> On my Onyx e-ink reader, running probably some version of Android 10, I
> cannot access the external directory (either /sdcard or
> /storage/emulated/0) due to “Permission denied”.  I understand the
> Android system may not be cooperating, but e.g. Termux running on the
> same device can access /storage/emulated/0, after running
> termux-setup-storage, happily.  Both Emacs and Termux have the same
> “Storage” permission as reported by the system.
>
> The Emacs version is 2023-07-03 from SourceForge.

As described by the Emacs manual, you should allow Emacs ``all files
access''.  This option is usually found in a section titled special app
access in Settings.

> Sorry for not providing the automatically gathered information but due
> to the permission problem above and the fact that the Emacs directory
> seems to be completely invisible, even when the device is connected via
> USB (all the other apps are present in /Android/data, but Emacs is not
> there and I couldn’t find it also anywhere else), I don’t know how to
> share anything from the Emacs on the device with the outer world.

Emacs's home directory is its ``internal app storage'' directory.
Android is distributed with a file manager that should be able to
display this directory in its hamburger icon menu.